## ros-kinetic-kobuki-random-walker 0.7.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(kobuki_random_walker)
find_package(catkin REQUIRED COMPONENTS ecl_threads
                                        geometry_msgs
                                        kobuki_msgs
                                        nodelet
                                        pluginlib
                                        roscpp
                                        std_msgs
                                        yocs_controllers)

catkin_package(INCLUDE_DIRS include
               LIBRARIES kobuki_random_walker_nodelet
               CATKIN_DEPENDS ecl_threads
                              geometry_msgs
                              kobuki_msgs
                              nodelet
                              pluginlib
                              roscpp
                              std_msgs
                              yocs_controllers)

include_directories(include
                    ${catkin_INCLUDE_DIRS})

add_library(kobuki_random_walker_nodelet src/nodelet.cpp)
add_dependencies(kobuki_random_walker_nodelet ${catkin_EXPORTED_TARGETS})
target_link_libraries(kobuki_random_walker_nodelet ${catkin_LIBRARIES})

install(TARGETS kobuki_random_walker_nodelet
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
        
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY param
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY plugins
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-kobuki-random-walker (0.7.6-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 15 Mar 2018 03:03:57 -0000

ros-kinetic-kobuki-random-walker (0.6.6-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Wed, 27 May 2015 04:00:00 -0000

ros-kinetic-kobuki-random-walker (0.6.5-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 21 Nov 2014 05:00:00 -0000

ros-kinetic-kobuki-random-walker (0.6.4-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 26 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-random-walker (0.6.3-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 25 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-random-walker (0.6.2-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 11 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-random-walker (0.6.1-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 08 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-random-walker (0.6.0-0xenial) xenial; urgency=high

  * Add missing run dependency on yocs_cmd_vel_mux
  * Contributors: Jorge Santos

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 08 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-random-walker (0.5.5-0xenial) xenial; urgency=high

  * Rename cmd_vel_mux as yocs_cmd_vel_mux.

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 11 Oct 2013 04:00:00 -0000

ros-kinetic-kobuki-random-walker (0.5.4-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 06 Sep 2013 04:00:00 -0000

ros-kinetic-kobuki-random-walker (0.5.3-0xenial) xenial; urgency=high

  * removes log output.

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 30 Aug 2013 04:00:00 -0000

ros-kinetic-kobuki-random-walker (0.5.0-0xenial) xenial; urgency=high

  * adds new random walker controller.

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 29 Aug 2013 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-kobuki-random-walker
Section: misc
Priority: extra
Maintainer: Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-ecl-threads, ros-kinetic-geometry-msgs, ros-kinetic-kobuki-msgs, ros-kinetic-nodelet, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-yocs-controllers
Homepage: http://ros.org/wiki/kobuki_random_walker
Standards-Version: 3.9.2

Package: ros-kinetic-kobuki-random-walker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ecl-threads, ros-kinetic-geometry-msgs, ros-kinetic-kobuki-msgs, ros-kinetic-nodelet, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-std-msgs, ros-kinetic-yocs-cmd-vel-mux, ros-kinetic-yocs-controllers
Description: Random walker app for Kobuki

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-kobuki-random-walker//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
